{
        template: '${tmpl}',
                data: function() {
                        return {
                                data:{
                                        name:"",
                                        mobile:"",
                                        address:"",
                                        email:"",
                                        id:"",
                                },                  
                        }
                },
        mounted: function() {
          /* 获取传过来的地址信息 */
          this.data = JSON.parse(this.$route.query.lists);
          console.log(this.data);
        },
        created: function() {

        },
        methods: {
                goNewAddress(){
                        this.$router.push({ path: "/mobilenewaddress",query:{lists: this.data}});
                },
                /* 跳转到编辑页面 */
                goPutAddress(index){                   
                        this.$router.push({ path: "/mobilenewaddress" ,query:{lists: index}});
                },
                /*
                getLoginUser : function (){
                  var self =this;
                  this.$root.postReq("/web/userCtl/loginUser",{}).then(function(d){
                    if(d.status==0){
                      self.loginUser = d.data;
                    }
                  });
                }
                */
        },
        vname: "gsb-mobileaddress"
}
